> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Follow Group

> Create a new follow group

## 创建关注组

**URL**: `/v1/following/groups`\
**方法**: `POST`\
**描述**: 创建一个新的关注组

### 请求参数

| 参数名            | 类型                 | 描述                                              |
| -------------- | ------------------ | ----------------------------------------------- |
| name           | str                | 组名称                                             |
| follow\_values | list\[FollowValue] | 关注项列表（可选），每个元素包含 `follow_type` 和 `follow_value` |

FollowValue 结构：

| 参数名           | 类型  | 描述                           |
| ------------- | --- | ---------------------------- |
| follow\_type  | str | 关注类型：`"company"`、`"channel"` |
| follow\_value | str | 关注值（如股票代码、频道 ID）             |

### 响应参数

| 参数名       | 类型  | 描述     |
| --------- | --- | ------ |
| group\_id | str | 关注组 ID |
| name      | str | 组名称    |
| count     | int | 关注项数量  |


## OpenAPI

````yaml POST /v1/following/groups
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/following/groups:
    post:
      tags:
        - openapi-following-group
      summary: Create Follow Group
      description: Create a new follow group
      operationId: create_follow_group
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FollowGroupCreateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowGroupResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    FollowGroupCreateRequest:
      type: object
      properties:
        name:
          type: string
          title: Name
          description: Follow group name
        follow_values:
          type: array
          items:
            $ref: '#/components/schemas/FollowValue'
          title: Follow Values
          description: List of follow values
          default: []
      required:
        - name
      title: FollowGroupCreateRequest
      description: Request to create a follow group
    FollowGroupResult:
      type: object
      properties:
        group_id:
          type: string
          title: Group Id
          description: Group ID
        name:
          type: string
          title: Name
          description: Group name
        count:
          type: integer
          title: Count
          description: Number of members
      required:
        - group_id
        - name
        - count
      title: FollowGroupResult
      description: Follow group result
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FollowValue:
      type: object
      properties:
        follow_type:
          type: integer
          title: Follow Type
          description: Follow type (1=company, 2=channel)
        follow_value:
          type: string
          title: Follow Value
          description: Follow value (e.g., US:AAPL, HK:00700)
      required:
        - follow_type
        - follow_value
      title: FollowValue
      description: Follow value definition
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````